# Cobalt Strike 控制台

### 基本要求
- 能够向客户端发送shell指令并且在客户端执行之后接受返回的指令执行结果
- 采用模块化程序设计思想
- 实现心跳功能（定期检查客户端存活）

### 进阶要求
- 通信流量加密（加密方式不限，推荐与二进制学员商量实现自定义加密）
- 文件浏览
- 文件的上传及下载
- 可控制客户端的激活，休眠与自杀
- 能够与多个客户端进行通讯

### 额外要求
- 实现提权操作
- 集成浏览器密码一键抓取
- 调用数据库来实现相关信息的储存
- 图形化界面（低优先级）
- 通讯实现https
- 自定义通讯协议

### 模块化设计思路
- 服务端控制台与各功能分离，能由控制台统一控制，也能单独使用。
- payload creator 不属于本项目
